require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module AllFromOrganizationalUnitCast
      # @deprecated All From OU will not be used in the new authorization (v4).
      class AllFromOrganizationalUnitCastExists < UU::OS::REST::DTO

        # @see AllFromOrganizationalUnitCast#exists
        attr_accessor :casted_subject_uri

        # @see AllFromOrganizationalUnitCast#exists
        attr_accessor :recursive

        def casted_subject_uri
          attributes[:castedSubjectUri]
        end

        def casted_subject_uri=(val)
          if val
            attributes[:castedSubjectUri] = UU::OS::UESURI.new(val)
          else
            attributes[:castedSubjectUri] = nil
          end
        end

        def recursive
          attributes[:recursive]
        end

        def recursive=(val)
          attributes[:recursive] = val
        end

      end
    end

  end

end
