require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module Artifact
      class ArtifactSetVisualPresentation < UU::OS::REST::DTO

        # @see Artifact#set_visual_presentation
        attr_accessor :layout

        # @see Artifact#set_visual_presentation
        attr_accessor :width

        def layout 
          attributes[:layout]
        end

        def layout=(val) 
          attributes[:layout] = val
        end

        def width 
          attributes[:width]
        end

        def width=(val) 
          attributes[:width] = val
        end
      end
    end
  end
end