require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
      module AllFromOrganizationalUnitCast
        # @deprecated All From OU will not be used in the new authorization (v4).
        class AllFromOrganizationalUnitCastGetAttributes < UU::OS::REST::DTO

          # @see AllFromOrganizationalUnitCast#get_attributes
          attr_accessor :casted_subject_uri

          def casted_subject_uri 
            attributes[:castedSubjectUri]
          end

          def casted_subject_uri=(val) 
            if val
              attributes[:castedSubjectUri] = UU::OS::UESURI.new(val)
            else
              attributes[:castedSubjectUri] = nil
            end
          end


        end
      end

    end

end
