require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Operating System.
  module OS
    # Module Meta Group.
    module MetaGroup
      # @see MetaArtifact#get_export_data
      class MetaGroupGetExportData < UU::OS::REST::DTO

        # @see MetaGroup#get_export_data
        attr_accessor :requested_mime_type

        def requested_mime_type
          attributes[:requestedMimeType]
        end

        def requested_mime_type=(val)
          attributes[:requestedMimeType] = val
        end

      end
    end

  end
end
