require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module MetaModel

      # Artifact Interface Create DTO.
      class ArtifactInterfaceCreate < UU::OS::REST::DTO

        # @see ArtifactInterface#create
        attr_accessor :name

        # @see ArtifactInterface#create
        attr_accessor :code

        # @see ArtifactInterface#create
        attr_accessor :description

        # @see ArtifactInterface#create
        attr_accessor :grant_all_from_territory

        def name
          attributes[:name]
        end

        def name=(val)
          attributes[:name] = val
        end

        def code
          attributes[:code]
        end

        def code=(val)
          attributes[:code] = val
        end

        def description
          attributes[:description]
        end

        def description=(val)
          attributes[:description] = val
        end

        def grant_all_from_territory
          attributes[:grantAllFromTerritory]
        end

        def grant_all_from_territory=(val)
          attributes[:grantAllFromTerritory] = val
        end

      end

    end
  end
end
