require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module OS
    module PropertyTemplate
      # @see PropertyTemplate#move_collection
      class PropertyTemplateMoveCollection < UU::OS::REST::DTO
        
        # @see PropertyTemplate#move_collection
        attr_accessor :parent_node_uri
        
        def parent_node_uri 
          attributes[:parentNodeUri]
        end
        
        def parent_node_uri=(val) 
          if val
            attributes[:parentNodeUri] = UU::OS::UESURI.new(val)
          else
            attributes[:parentNodeUri] = nil
          end
        end
      end
    end
  end
end